open Constants;;
open Item;;

(* hidden *)
let print_item (x:item) = x#print

class bin =
object
  val mutable height = 0;
  val mutable card = 0;
  val mutable items = [];
  method get_items = items
  method get_height = height;
  method get_card = card;
  method add (x:item) =
    items <- x::items;
    card <- card+1;
    height <- height + x#get_height;
  method append (y:bin) =
    card <- card + y#get_card;
    height <- height + y#get_height;
    items <- List.append items y#get_items;
  method print = String.concat "" (List.map print_item items)
end
  
let compare_bin (x:bin) (y:bin) = y#get_height - x#get_height
