open Constants;;
(** An empty [gen_sol], meant to remain empty...

 @version December 2003
 @author Pierre Lemaire
 *)

open Item;;
open Gen_sol;;

class gen_sol_none (m:int) (items:item array) =
object (self)
  inherit gen_sol m items as super

  method get_type () = cGEN_SOL_NONE_TYPE;

  method clone () = failwith "error: gen_sol_none can't have clone! (BUG)."

  method private compute_value () =
    failwith "error: gen_sol_none has no value! (BUG)."

  method to_solution () =
    failwith "error: gen_sol_none is not a real solution! (BUG)."

end
