open Constants;;
open Options;;
open Item;;
open Instance;;
open Scanf;;

class instance_perm (inst:instance) =
object(self)
  inherit instance (inst#get_m()) as super

  val mutable a = Array.of_list (inst#get_items());
  val mutable c = Array.make (inst#get_n()+1) (-1);
  val mutable d = Array.make (inst#get_n()+1) (-1);
  val mutable j = 0;
  val mutable z = new item 0 0;
  val mutable q = (-1);
  val mutable s = (-1);
  val mutable step = (-1);

  initializer 
    n <- inst#get_n();
    for j=1 to n do c.(j) <- j; d.(j) <- -1;  done;
    z <- a.(n-1);
    step <- 20;

  method get_items () = Array.to_list a;
  method print () =
    items <- Array.to_list a;
    super#print();

  method next () = match (step) with
  | 20 -> if (a.(0) == z) then begin
            j <- 1;    step <- 35;
          end else begin
            j <- n-1;  step <- 30;
          end;
          self#next()
  | 30 -> if (j>=1) then begin
            a.(j) <- a.(j-1);
            a.(j-1) <-  z;
            j <- j-1;
            true;
          end else begin
            j <- n-1;
            s <- 1;
            step <- 40;
            self#next();
          end
  | 35 -> if (j<n) then begin
            a.(j-1) <- a.(j);
            a.(j) <- z;
            j <- j+1;
            true
          end else begin
            j <- n-1;
            s <- 0;
            step <- 40;
            self#next();
            end
  | 40 -> let terminate = ref false
          in q <- c.(j) + d.(j);
          while (not !terminate && (q==0 || q>j)) do
            if (q==0) then begin
              if (j==1) then terminate := true
              else begin
                s <- s+1;
                d.(j) <- -d.(j);
                j <- j -1
                end;
            end;
            if (q>j) then begin
              d.(j) <- -d.(j);
              j <- j -1;
            end;
            q <- c.(j) + d.(j);
          done;
          if (!terminate) then false
          else begin step <- 50; self#next(); end
  | 50 -> let tmp = a.(c.(j)+s-1);
          in a.(c.(j)+s-1) <- a.(q+s-1);
             a.(q+s-1) <- tmp;
             c.(j) <- q;
             step <- 20;
             true;
  | _  -> raise(Invalid_argument "next: unknown step!");

end
